{% extends 'index.twig' %}

{% block content %}

    <section class="content">
        <div class="page-title pad group">
            <h1><i class="fa fa-folder-open"></i>Категория:
                <span>
                    {% for news in news %}
                        {% if loop.first %}
                    {{ news.category.title }}
                    {% endif %}
                    {% endfor %}
                </span>
            </h1>
            <h2>Всего материалов:
                <span class="hu-blog-subheading">{{ news_count }}</span>
            </h2>
        </div>
        <div class="pad group">
            <div class="notebox">
                <p>Материалы данной категории</p>
            </div>
            <div class="post-row">
                {% include 'news-category-loadup.twig' %}
            </div>

            <div class="load-up">
            </div>
        </div>
        <div class="progress" style="display: none; height: 100px;">
            <div class="loader"></div>
        </div>
        <form role="form" action="" method="POST" id="loadupform" onsubmit="return loadUpForm()" name="load_up" enctype= "multipart/form-data">
            <button class="more-bottom" type="button" id="loadup_ajax_category"  name="loadup">Ещё</button>
        </form><br>

    </section>

    {% include "partials/left-block.twig" %}
    {% include "partials/right-block.twig" %}

    {% for news in news %}
        {% if loop.first %}
    <script>
        var scroll = 0;
        $(document).ready(function(){
            $(document).ajaxStart(function(){
                $(".progress").css("display", "block");
                $(".more-bottom").css("visibility", "hidden");
            });
            $(document).ajaxComplete(function(){
                $(".progress").css("display", "none");
                $(".more-bottom").css("visibility", "visible");
            });
            $("#loadup_ajax_category").click(function() {
                        scroll = scroll+20;
                        $.ajax({
                            url: 'category-load-up-{{ news.category.id }}',
                            type: 'POST',
                            data: {
                                scroll: scroll
                            },
                            error: function () {
                                console.log("Error in ajax request");
                            },
                            success: function (data) {
                                console.log("Success of ajax request");
                                $('.post-row').html(data);
                            }
                        });
            });
        });
    </script>

        {% endif %}
    {% endfor %}
{% endblock %}


